<?php
// Hide Topic Replies MOD database installation
// by tyty1234

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
	
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

global $modSettings, $forum_version;

// Check which SMF version we are installing for.
if (!isset($smcFunc) || empty($smcFunc) || stristr($forum_version, 'SMF 1.1') || !function_exists('db_extend'))
	InstallSMF1();
else
	InstallSMF2();

function InstallSMF1()
{
	global $db_prefix;
	
	// All we need to do set the settings in the Database.
	db_query("
		REPLACE INTO {$db_prefix}settings
		VALUES ('hideTopicReplies', 0)", __FILE__, __LINE__);
}

function InstallSMF2()
{
	global $smcFunc;
	
	// All we need to do set the settings in the Database.
	$install_settings = array(
		'hideTopicReplies' => '0',
	);
	$replaceArray = array();

	foreach ($install_settings as $variable => $value)
		$replaceArray[] = array($variable, $value);

	$smcFunc['db_insert']('replace',
		'{db_prefix}settings',
		array('variable' => 'string-255', 'value' => 'string-65534'),
		$replaceArray,
		array('variable')
	);
}

?>